* 
{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}



.hchat
{
  background-color: rgba(0, 0, 0, 0.7);
  color: #fff;
  width: 1600px;
  height: 50px;
  overflow-x: hidden;
  white-space: nowrap;
}

.hchat-node
{
  font-family: "Fira Code";
  font-style: normal;
  font-weight: 700;
  text-shadow: rgb(0, 0, 0) 1px 1px 1px;

  padding-right: 16px;
  font-size: 32px;

  /* manual adjustment :( */
  position: relative;
  top: 3px;
}

.hchat-input
{
  font-size: 32;
}

.hchat-dummy
{
  display: inline-block;
  width: 100%;
}
.hchat-user
{
  font-weight: bold;
}

/*
.hchat-msg
{
}
*/

/* This is for emotes */
.hchat-msg > img 
{
  position: relative;

  /* manual adjustment :( */
  height: 32px;
  top: 5px;
  left: -5px;
}

.input
{
  padding-left: 10px;
  padding-top: 32px;
  font-size: 32px;
  font-family: monospace;
}

input {
  font-size: inherit;
  font-family: inherit;
  padding: 10px;
}

